---
title: Data Binding
page_title: Data Binding - ListView - Kendo UI for Vue
description: "Bind the Kendo UI ListView wrapper for Vue to remote data services."
slug: databinding_listview_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/listview"
position: 2
---

<div><WrapperBanner link="/kendo-vue-ui/components/listview"></WrapperBanner></div>

# Data Binding

The ListView provides support for binding it to remote data services.

To initialize the ListView by binding it to a remote data service, use the [Data Source component](https://docs.telerik.com/kendo-ui/framework/datasource/overview). Remote data binding is appropriate for larger datasets, so that items are loaded on demand when displayed. You can use the DataSource for serving data from a variety of data services such as [XML](https://en.wikipedia.org/wiki/XML), [JSON](https://en.wikipedia.org/wiki/JSON), and [JSONP](https://en.wikipedia.org/wiki/JSONP).

{% meta height:600 %}
{% embed_file listview/binding/main.vue preview %}
{% embed_file listview/binding/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI DataSource Component](https://docs.telerik.com/kendo-ui/framework/datasource/overview)
* [Kendo UI ListView for jQuery](https://docs.telerik.com/kendo-ui/controls/data-management/listview/overview)
* [API Reference of the ListView](https://docs.telerik.com/kendo-ui/api/javascript/ui/listview)
