---
title: Overview
page_title: ListView Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI ListView wrapper for Vue delivers and use the component in Vue projects."
slug: overview_listview_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/listview"
position: 1
---

<div><WrapperBanner link="/kendo-vue-ui/components/listview"></WrapperBanner></div>

# ListView Overview

The ListView enables you to specify a custom type of layout for the items it displays.

The ListView wrapper for Vue is a client-side wrapper for the [Kendo UI ListView](https://docs.telerik.com/kendo-ui/api/javascript/ui/listview) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the ListView in action.

{% meta height:150 %}
{% embed_file listview/basic/main.vue preview %}
{% embed_file listview/basic/main.js %}
{% endmeta %}

## Functionality and Features

* [Data binding]({% slug databinding_listview_wrapper %})
* [Editing]({% slug editing_listview_wrapper %})
* [Selection]({% slug selection_listview_wrapper %})
* [Scrolling]({% slug selection_listview_wrapper %})
* [Keyboard navigation]({% slug keyboard_navigation_listview_wrapper %})
* [RTL support]({% slug right_to_left_support_listview_wrapper %})

## Events

The following example demonstrates basic ListView events. You can subscribe to [all ListView events](https://docs.telerik.com/kendo-ui/api/javascript/ui/listview#events) by the handler name.

{% meta height:350 %}
{% embed_file listview/events/main.vue preview %}
{% embed_file listview/events/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI ListView for jQuery](https://docs.telerik.com/kendo-ui/controls/data-management/listview/overview)
* [API Reference of the ListView](https://docs.telerik.com/kendo-ui/api/javascript/ui/listview)
