---
title: Keyboard Navigation
page_title: Keyboard Navigation - ListView - Kendo UI for Vue
description: "Explore the keyboard navigation options provided by the Kendo UI ListView wrapper for Vue."
slug: keyboard_navigation_listview_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/listview"
position: 6
---

<div><WrapperBanner link="/kendo-vue-ui/components/listview"></WrapperBanner></div>

# Keyboard Navigation

The keyboard navigation of the ListView is always available.

The ListView supports the following keyboard shortcuts:

| SHORTCUT      |DESCRIPTION |
|:---           |:---|
|`Alt`+`w`      | Focuses the ListView.|
|`Up Arrow`     | Navigates to the previous item.|
|`Left Arrow`   | Navigates to the previous item.|
|`Down Arrow`   | Navigates to the next item. |
|`Right Arrow`  | Navigates to the next item. |
|`Home`         | Navigates to the first item. |
|`End`          | Navigates to the last item. |
|`Enter`        | Enters the edit mode or applies the changes. |
|`Esc`          | Exits the edit mode and cancels the changes. |
|`Tab`          | Tabs away from the ListView to the next focusable page element. |
|`Shift`+`Tab`  | Tabs away from the ListView to the previous focusable page element. |
|`Space`        | Selects an item. |

{% meta height:700 %}
{% embed_file listview/keyboard/main.vue preview %}
{% embed_file listview/keyboard/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI ListView for jQuery](https://docs.telerik.com/kendo-ui/controls/data-management/listview/overview)
* [API Reference of the ListView](https://docs.telerik.com/kendo-ui/api/javascript/ui/listview)
